LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::rendering::ColorSpaceType Constant Group Reference

Categories for color spaces. More...

## Variables
const byte | DEVICE_COLOR =0
| Unspecified device color space - use conversion functions to convert to standard color spaces. More...
const byte | GREY =1
| Grey-value color space. More...
const byte | RGB =2
| RGB color space. More...
const byte | CMYK =3
| CMYK color space. More...
const byte | CMYKOG =4
| CMYKOG color space. More...
const byte | CIEXYZ =5
| Standard CieXYZ color space. More...
const byte | CIELAB =6
| Standard CieLab color space. More...
const byte | SRGB =7
| Standard sRGB color space. More...
const byte | HSV =8
| HSV color space. More...
const byte | HSL =9
| HSL color space. More...
const byte | YCBCR =10
| YCbCr color space. More...
const byte | INDEXED =11
| Indexed color space. More...

## Detailed Description

Categories for color spaces.

## Variable Documentation

## ◆ CIELAB

const byte CIELAB =6

Standard CieLab color space.

See Wikipedia for a thorough explanation. Preferable over CIEXYZ if perceptual uniformity is an issue.

## ◆ CIEXYZ

const byte CIEXYZ =5

Standard CieXYZ color space.

See Wikipedia for a thorough explanation.

## ◆ CMYK

const byte CMYK =3

CMYK color space.

See Wikipedia for a thorough explanation.

## ◆ CMYKOG

const byte CMYKOG =4

CMYKOG color space.

See Wikipedia for a thorough explanation.

## ◆ DEVICE_COLOR

const byte DEVICE_COLOR =0

Unspecified device color space - use conversion functions to convert to standard color spaces.

## ◆ GREY

const byte GREY =1

Grey-value color space.

Use this for monochrome images.

## ◆ HSL

const byte HSL =9

HSL color space.

Hue saturation lightness. See Wikipedia for a thorough explanation

## ◆ HSV

const byte HSV =8

HSV color space.

Hue saturation value. See Wikipedia for a thorough explanation.

## ◆ INDEXED

const byte INDEXED =11

Indexed color space.

The color components of this color space are in fact indices into a color map.

## ◆ RGB

const byte RGB =2

RGB color space.

## ◆ SRGB

const byte SRGB =7

Standard sRGB color space.

See Wikipedia for a thorough explanation.

## ◆ YCBCR

const byte YCBCR =10

YCbCr color space.

See Wikipedia for a thorough explanation. This color space is common for digital video.